import { LitElement } from 'lit';
import { EditorView } from '@codemirror/view';
import { RemoteCursor } from './remote-cursor';
declare const CodemirrorMarkdown_base: typeof LitElement & import("@open-wc/dedupe-mixin").Constructor<import("@open-wc/scoped-elements/types/src/types").ScopedElementsHost>;
export declare class CodemirrorMarkdown extends CodemirrorMarkdown_base {
    editor: EditorView;
    _editorEl: HTMLElement;
    set text(t: string);
    additionalCursors: Array<{
        name: string;
        position: number;
        color: string;
    }>;
    _text: string | undefined;
    firstUpdated(): void;
    setText(t: string): void;
    renderCursor(c: {
        position: number;
        name: string;
        color: string;
    }): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult;
    static get scopedElements(): {
        'remote-cursor': typeof RemoteCursor;
    };
}
export {};
